std::char_traits::copy(3)

NAME
std::char_traits::copy - std::char_traits::copy

Synopsis
   static char_type* copy( char_type* dest, const char_type* src, (until C++20)
   std::size_t count );
   static constexpr char_type* copy( char_type* dest, const char_type* (since C++20)
   src, std::size_t count );
   Copies count characters from the character string pointed to by src to the character
   string pointed to by dest.
   Formally, for each i in [0, count), performs assign(src[i], dest[i]).
   The behavior is undefined if copied character ranges overlap, i.e. src is in [dest,
   dest + count).

Parameters
   dest - pointer to a character string to copy to
   src - pointer to a character string to copy from
   count - the number of characters to copy

Return value
   dest

Exceptions
   Throws nothing.

Complexity
   Linear.

See also
   assign assigns a character
   [static] (public static member function)